<?php
if (!isset($_GET['folder'])) {
	  if (isset($_COOKIE['cook_folder'])) {
		  $cook_folder = $_COOKIE['cook_folder'];	             
	  }  else {      
		  setcookie("cook_folder",0);
		  $cook_folder = 0;	  
	  }		  
} else { 	 
	 $cook_folder = (int) $_GET['folder']; 
	 setcookie("cook_folder", $cook_folder);
}

require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");
require_once("./lib/inc_function.php");

// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 	
	$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);   	 
	$query = "SELECT site_id, site_name, site_modify, DATE_FORMAT(site_modify,'%d-%b-%Y %h:%m ') AS myDate , site_folder , site_desc, site_url, site_hit
			  FROM  wiklink_site 
			  WHERE site_folder = '$cook_folder'";	 
	$result = execQuery($query);
	while ($pt = nextLine($result)) {	
		  generateA($pt->site_name, $pt->site_url, $pt->site_url);
	}
	generateBottom(0,'raw'); 
	exit();
}

// normal mode
generateTop(); 
if (isset($_GET['tri'])) $tri = $_GET['tri'];
				    else $tri = "";
switch($tri) {
    case "N" :   $tri = "site_name"; 
			     $trj = "folder_name";				
                 break;
    case "M" :   $tri = "site_modify"; 
				 $trj = "folder_modify";
                 break;
    case "S" :   $tri = "site_hit";
				 $trj = "folder_nbItem"; 
                 break;		
    case "D" :   $tri = "site_desc";
				 $trj = "folder_desc"; 
                 break;
    default:     $tri = "site_name";
				 $trj = "folder_name"; 
}

if (isset($_GET['sort'])) $s = $_GET['sort'];
				     else $s = "";
/*
if ($s=="D") {
    $sort = "DESC"; 
	generateHeaderAsc();
} else {
	$sort = "ASC"; 
	generateHeaderDesc();
}
*/
generateLine();

// parent directory 
$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
$query = "SELECT  folder_parent AS node 
 			FROM  wiklink_folder 
			WHERE folder_id = '$cook_folder'";
$result = execQuery($query);
$pt = nextLine($result);

if (isset($pt->node)) {  
	generateParentDir("index.php?folder=$pt->node");
} else {
   	if (WIK_ROOTUP) generateParentDir("../");
}

$count = 0;

// list folder
$query = "SELECT folder_id, folder_name, folder_modify, DATE_FORMAT(folder_modify,'%d-%b-%Y %h:%m ') AS myDate , folder_nbItem , folder_desc 
	        FROM  wiklink_folder 
			WHERE folder_parent = '$cook_folder'
			ORDER BY ".$trj." ".$sort; 			   
$result = execQuery($query);
while ($pt = nextLine($result)) {
	   $count++;
	   $fname = addslashes($pt->folder_name);
	   generateA($pt->folder_name, "index.php?folder=$pt->folder_id","Category: $fname", "_self" , "folder");
	   printAndFill($pt->folder_name,24);
	   // echo  "$pt->myDate    ";
	   // echo  "$pt->folder_nbItem";
	   printAndFill($pt->folder_nbItem,4);
	   echo  " : <span class=\"desc\">";
	   echo  "  $pt->folder_desc";	
	   echo  " - </span>";
	   printAndFill($pt->folder_desc,48);	   
	   generateA($lang['edit'], "editCategory.php?action=edit&amp;fold=$pt->folder_id", $lang['edit']." ".$fname);
	   echo "<br />";    
}


// list site
$query = "SELECT site_id, site_name, site_modify, DATE_FORMAT(site_modify,'%d-%b-%Y %h:%m ') AS myDate , site_folder , site_desc, site_url, site_hit, site_img
	      FROM  wiklink_site 
		  WHERE site_folder = '$cook_folder'
		  ORDER BY ".$tri." ".$sort;
$result = execQuery($query);
while ($pt = nextLine($result)) {
	       $count++;
	       echo "<span class=\"ligne_url\">";
	       generateImg($pt->site_img,"getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "site_img" );
	       echo "<span class=\"site_url\">";
	   	   generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
		   printAndFill($pt->site_name,24);	  
		   // echo  "$pt->myDate    ";	   
		   // echo  "$pt->site_hit";
		   printAndFill($pt->site_hit,3);
		   if (isset($_GET['check'])) {	     	 	    
			 if (!linkAlive($pt->site_url, $msg))   { 		  
			   $msg =  "TIMEOUT $msg";
			   echo  "<span class=\"error\">   $msg</span>";		   
			 } else {
			   if (substr($msg,0,5) != "Valid") echo "<span class=\"error\">   $msg</span>";
										else    echo "<span class=\"valid\">   $msg</span>";
			 }		 	
			 printAndFill($msg,48);	   
		   } else {
		   echo  " : <span class=\"desc\">";
		   echo "$pt->site_desc";
		   echo " - </span>";
		   printAndFill($pt->site_desc,48);	 
		   
		   }
		   $mname = addslashes($pt->site_name);
		   generateA($lang['edit'], "editSite.php?action=edit&amp;site=$pt->site_id", $lang['edit']." $mname");  
		   echo "</span>";
		   echo "</span>";		   
		   echo "<br />";
}

// refresh nbItem of current category					    
if ($cook_folder != '0') {  
	$query = "UPDATE wiklink_folder 
				SET folder_nbItem = $count
				WHERE folder_id = '$cook_folder' 
				LIMIT 1";								 								  						 								 
	$result = execQuery($query);
}

// add links
echo "<br /><br />";
echo "\n<div class=\"adddir\">\n";
generateA($lang['addCategory'],"editCategory.php?action=add", $lang['addCategory'],"","addurl");
echo "</div>\n<br />";
echo "\n<div class=\"addurl\">\n";
generateA($lang['addLink'],"editSite.php?action=add", $lang['addLink'],"","adddir"); 
echo "</div>\n";

generateBottom($cook_folder);	   	 
?>
