<?php
#################################
# all HTML graphical functions
#################################

function generateTop($mode="",$title=PAGE_TITLE) {
echo "<?xml version=\"1.0\" encoding=\"".WIK_CHARSET."\"?".">\n"; 
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">\n\n";
echo "<head>\n";
echo "  <title>".$title."</title>\n";
echo "  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=".WIK_CHARSET."\" />\n";
if ($mode !="raw") {
	echo "  <link rel=\"stylesheet\" type=\"text/css\"  media=\"screen\" href=\"css/wiklink.css\" title=\"apache\" />\n";
	echo "  <link rel=\"stylesheet\" type=\"text/css\"  media=\"print\" href=\"css/printlink.css\" />\n";
	echo "  <link rel=\"alternate stylesheet\" type=\"text/css\" media=\"screen\" href=\"css/weaklink.css\" title=\"golem\" />\n";
	echo "  <link rel=\"alternate\"  type=\"application/rss+xml\" title=\"RSS\" href=\"rss.php\" />\n";
}
echo "</head>\n\n";
echo "<body>\n";
echo "<h1>".$title."</h1>\n";
}

function generateBottom($id_folder=0, $mode="", $typeview="") {
global $lang;
global $rsstype;
if ($mode !="raw") {
	echo "</pre>\n";
	echo "<hr />\n";
	echo "<div class=\"tools\">";
	echo "<a href=\"./index.php?folder=0\" class=\"home\">Accueil</a>";
	echo "<a href=\"search.php\" class=\"search\">".$lang['search']."</a>";
	echo " <a href=\"entry.php?view=new\" class=\"urlnew\">".$lang['new']."</a>";
	echo " <a href=\"entry.php?view=old\" class=\"urlold\">".$lang['oldest']."</a>";
	echo " <a href=\"entry.php?view=pop\" class=\"urlpop\">".$lang['popular']."</a>";
	echo "<a href=\"entry.php?view=rnd\" class=\"urlran\">".$lang['random']."</a></div>\n";
	// echo "<div  class=\"tools-view-user\">".$lang['view']." ".$lang['users']." <a href=\"user.php?view=last\">".$lang['recent']."</a>"; 
	// echo "<a href=\"user.php?view=active\">".$lang['mostactive']."</a></div>\n";
	// echo "<div  class=\"tools-tools\">". $lang['tools']." <a href=\"index.php?check=1\">".$lang['checkURL']."</a> ";
	// echo " <a href=\"http://validator.w3.org/checklink?uri=http://".$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF']."?raw=true%26folder=$id_folder%26view=$typeview\" target=\"_blank\">".$lang['checkURL']." (w3)</a> ";
	// echo "<a href=\"export.php\">".$lang['export']."</a> ";
	if (WIK_IMPORT) echo "<a href=\"import.php\">".$lang['import']."</a>";
	echo "</div>\n"; 
	echo "<address>WikLink/".WIKLINK_VERSION." at <a href=\"mailto:".MAIL_WEBMASTER."\">".SERVER_URL."</a> Port ".getenv("SERVER_PORT")."</address>\n";
}	
echo "</body>\n";
echo "</html>\n";
}

function generateHeaderAsc() {
global $lang;
global $icontype;
echo "<pre> <a href=\"?tri=N&amp;sort=A\"><img src=\"./icons/$icontype/blank.png\" alt=\"\" />".$lang['name']."</a>                    <a href=\"?tri=M&amp;sort=A\">".$lang['lastModified']."</a>         <a href=\"?tri=S&amp;sort=A\">".$lang['size']."</a>  <a href=\"?tri=D&amp;sort=A\">".$lang['description']."</a></pre>\n";
}

function generateHeaderDesc() {
global $lang;
global $icontype;
echo "<pre> <a href=\"?tri=N&amp;sort=D\"><img src=\"./icons/$icontype/blank.png\" alt=\"     \" />".$lang['name']."</a>                    <a href=\"?tri=M&amp;sort=D\">".$lang['lastModified']."</a>         <a href=\"?tri=S&amp;sort=D\">".$lang['size']."</a>  <a href=\"?tri=D&amp;sort=D\">".$lang['description']."</a></pre>\n";
}

function generateLine() {
echo "<hr />\n";
echo "<pre>";
}

function generateParentDir($link) {
global $lang;
echo" <a href=\"$link\" class=\"parent\">".$lang['parentDirectory']."</a>  "; 
}

function generateImg($img, $link, $msgOver="", $target="", $class="") {
// global $lang;
if ($target != "") $target = " target=\"$target\"";
// echo" <img class=\"site_img\" src=\"".IMGDIR.$img."\" alt=\"$site_img\">";
if ($class  != "") echo "<a href=\"$link\" $target class=\"$class\" onmouseover=\"window.status='$msgOver'; return true;\" onmouseout=\"window.status=''; return true;\" ><img class=\"site_img\" src=\"".IMGDIR.$img."\" alt=\"".$img."\"></a>";
			else echo "<a href=\"$link\" $target onmouseover=\"window.status='$msgOver'; return true;\" onmouseout=\"window.status=''; return true;\" >$msg</a>";
}

function generateA($msg, $link, $msgOver="", $target="", $class="") {
if ($target != "") $target = " target=\"$target\"";
if ($class  != "") echo "<a href=\"$link\" $target class=\"$class\" onmouseover=\"window.status='$msgOver'; return true;\" onmouseout=\"window.status=''; return true;\" >$msg</a>";
			else echo "<a href=\"$link\" $target onmouseover=\"window.status='$msgOver'; return true;\" onmouseout=\"window.status=''; return true;\" >$msg</a>";
}
/* firefox dont show window.status for security reason, to prevent advert ....*/

function displayMsg($msg, $icon="" ) {
global $icontype;
if ($icon != "") echo "<span class=\"message\"><img src=\"icons/$icontype/$icon\" alt=\"  \" />$msg</span>\n";
			else echo "<span class=\"message\">$msg</span>\n";
}

function printAndFill( $string, $length ) {
$tab = "";
$NbCharToAdd = ($length-strlen($string)) + (substr_count($string, "&amp;")*4); // can be improved
for ($k=0; $k < $NbCharToAdd  ; $k++)   $tab .= " ";
echo $tab;
}
?>
