<?php
require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");


// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 
} else {	// normal mode
	generateTop();
	generateLine();
	generateParentDir("index.php");
}

$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);

// tableau avec correspondance entre numéro de rubrique et nom de rubrique
$query_folder = "SELECT folder_id, folder_name FROM  wiklink_folder ORDER BY folder_id DESC";	 		   
			$result_folder = execQuery($query_folder);
			$table_folder=array();
			while ($data = mysql_fetch_array($result_folder)) {
				$id = $data['folder_id'];
				$folder_name = $data['folder_name'];
				$table_folder[$id] = $folder_name; 
			}

if (!isset($_GET['view'])) $view="new";                 
  			else $view = $_GET['view'];
switch ($view) {
    case "new" : 	
			echo "<h3 class=\"new\">".$lang['new']."</h3>";
			$query = "SELECT  site_id, site_name, site_desc, site_folder , site_url, site_modify FROM  wiklink_site ORDER BY site_modify DESC LIMIT ".MAXITEM;	 		   		
			$result = execQuery($query);
			
					$calendar ="";
					while ($pt = nextLine($result)) {
  				    if ($calendar != $pt->myDate) {
					   // echo  "\n\n\n$pt->myDate";
					   $calendar = $pt->myDate;
					}
					if (isset($_GET['raw'])) generateA($pt->site_name, $pt->site_url); 
	 								else	generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
					$myfolder=$pt->site_folder;
					$myfolder_name=$table_folder[$pt->site_folder];
					echo " (";
					$fname = addslashes($pt->$myfolder);
					generateA($myfolder_name, "index.php?folder=$myfolder","Category: $fname", "_self" , "");
					echo ")";
					echo  " : <span class=\"desc\">";
					echo  $pt->site_desc;
					echo  "</span>";
					echo "<br />";	   
	  				printAndFill($pt->site_name,24);	 
	  				// echo  $pt->site_author;	     	    
					}
                	break;
				 
    case "old" :    	echo "<h3 class=\"old\">".$lang['oldest']."</h3>";
			$query = "SELECT  site_id, site_name, site_modify , site_folder , site_url, site_author, site_desc
								FROM  wiklink_site 		  
		  				 		ORDER BY site_modify ASC
		  				 		LIMIT ".MAXITEM;	 		   		
					$result = execQuery($query);
					$calendar ="";
					while ($pt = nextLine($result)) {
  				    if ($calendar != $pt->myDate) {
					   // echo  "\n\n\n$pt->myDate";
					   $calendar = $pt->myDate;
					}				    
	 				if (isset($_GET['raw'])) generateA($pt->site_name, $pt->site_url); 
	 								else	generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
					$myfolder=$pt->site_folder;
					$myfolder_name=$table_folder[$pt->site_folder];
					echo " (";
					$fname = addslashes($pt->$myfolder);
					generateA($myfolder_name, "index.php?folder=$myfolder","Category: $fname", "_self" , "");
					echo ")";
					echo  " : <span class=\"desc\">";
					echo  $pt->site_desc;
					echo  "</span>";
					echo "<br />";	   
	  				printAndFill($pt->site_name,24);	 
	  				// echo  $pt->site_author;	     	    
					}
                	break;
					
	 case "pop" :   echo "<h3 class=\"pop\">".$lang['popular']."</h3>";
			$query = "SELECT  site_id, site_name, site_url, site_hit, site_desc, site_folder
								FROM  wiklink_site 		  
		  				 		ORDER BY site_hit DESC
		  				 		LIMIT ".MAXITEM;	 		   		
					$result = execQuery($query);					
					// echo "\n\n\n".$lang['mostPop'];
					while ($pt = nextLine($result)) {								
					printAndFill($pt->site_name,24);	   				   
	   				echo  "$pt->site_hit ".$lang['hits'];	   		     	    
				    	if (isset($_GET['raw'])) generateA($pt->site_name, $pt->site_url); 
	 								else	generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
					$myfolder=$pt->site_folder;
					$myfolder_name=$table_folder[$pt->site_folder];
					echo " (";
					$fname = addslashes($pt->$myfolder);
					generateA($myfolder_name, "index.php?folder=$myfolder","Category: $fname", "_self" , "");
					echo ")";
					echo  " : <span class=\"desc\">";
					echo  $pt->site_desc;
					echo  "</span>";
					echo "<br />";
	   				
					}
                	break; 
										 
	  case "rnd" :  
			echo "<h3 class=\"ran\">".$lang['random']."</h3>";
			$query = "SELECT site_id, site_name, site_url, site_desc, site_folder
								FROM  wiklink_site 		  
		  				 		ORDER BY RAND()
		  				 		LIMIT ".MAXITEM;	 		   		
					$result = execQuery($query);										
				    // echo "\n\n\n".$lang['rndLinks'];
					while ($pt = nextLine($result)) {										
				    if (isset($_GET['raw'])) generateA($pt->site_name, $pt->site_url); 
	 								else	generateA($pt->site_name, "getURL.php?id=$pt->site_id", $pt->site_url, WIK_TARGET, "world");
					$myfolder=$pt->site_folder;
					$myfolder_name=$table_folder[$pt->site_folder];
					echo " (";
					$fname = addslashes($pt->$myfolder);
					generateA($myfolder_name, "index.php?folder=$myfolder","Category: $fname", "_self" , "");
					echo ")";
					echo  " : <span class=\"desc\">";
					echo  $pt->site_desc;
					echo  "</span>";
					echo "<br />";
					// printAndFill($pt->site_name,24);	   				   
	   				// echo  "$pt->site_desc";	  
	  	     	    }
                	break;			
										  
     default:      displayMsg("Ergo cogitum sum");
} 

if (isset($_GET['raw'])) generateBottom(0, 'raw');
      			   else generateBottom($cook_folder,'',$view);
?>
