<?php
################################
# all FORM graphical functions
################################

function newForm($action, $enctype="") {
  echo "<ins><form method=\"post\" action=\"$action\" $enctype >\n";
}

function formInput($header, $varName, $value , $maxlength, $type="text" ) {
  echo "$header\n";
  echo "<input type=\"$type\" name=\"$varName\" size=\"35\" value=\"$value\" maxlength=\"$maxlength\" /><br />\n";
}

function formFile($header, $varName) {
  echo "$header\n";
  echo "<input type=\"file\"   name=\"$varName\" /><br />\n";
  echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\"  value=\"300000\" />\n";
}

function formSelect($header, $varName) {
  echo "$header\n";
  echo "<select name=\"$varName\">\n";
}

function formRadio($value, $varName, $option = "") {
  echo "<input type=\"radio\" name=\"$varName\" value=\"$value\" $option />$value\n";
}

function formOption($value, $varName) {
  echo "<option value=\"$value\">$varName</option>\n";
}

function wiklinkTree($id=0, $depth = "") { 
    $depth .= "&nbsp;&nbsp;&nbsp;";
	$query = "SELECT folder_id, folder_name FROM  wiklink_folder 
						   			     WHERE folder_parent ='$id'
									    ORDER BY folder_name ASC";
	$result = execQuery($query);
	while ($pt = nextLine($result)) {
		formOption("$pt->folder_id", "$depth--> $pt->folder_name");
		wiklinkTree($pt->folder_id, $depth);	
	}
}

function formSelectEnd() {
  echo "</select>\n";
}


function formHidden($value, $varName) {  
  echo "<input type=\"hidden\" value=\"$value\" name=\"$varName\" />\n";
}

function endForm($name, $value) {
  echo "<input type=\"submit\" name=\"$name\" value=\"$value\" />\n";
  echo "</form></ins>\n";
}

function endFormAlternate($name, $value, $name2, $value2) {  // submit form with 2 choices
  echo "<input type=\"submit\" name=\"$name\" value=\"$value\" /> ";
  echo "<input type=\"submit\" name=\"$name2\" value=\"$value2\" />";
  echo "</form></ins>";
}

function formatVar($txt, $type, $maxLen) {
  global $lang;
  $txt = chop($txt);  
  if (strlen($txt) > $maxLen) {
     echo $lang['error']." ".$txt." ".$lang['e_long'];
	 generateBottom();
     exit; 
  } 
     
  $txt = ereg_replace("&#", "", $txt);
  $txt = ereg_replace("&", "&amp;", $txt);  // prevent http://validator.w3.org/docs/errors.html#bad-entity
  
  if ($type == "normal") { 
     if ($txt=="") $txt="-";
     switch (WIK_CASE) {                           
	 	    case "Word":	$txt = strtolower($txt); 
							$txt = ucfirst($txt);
							break;
	 		case "UPPER":	$txt = strtoupper($txt); 
							break;
	 		case "lower":	$txt = strtolower($txt); 
							break;
			case "rot13":   $txt = strtr($txt,"NnOoPpQqRrSsTtUuVvWwXxYyZzAaBbCcDdEeFfGgHhIiJjKkLlMm","AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz");						
	 		
			default:		break;							
	 }
     $txt = strip_tags($txt);	 	 
  }
  
  if ($type == "query") {      
     $txt = strtolower($txt);	 	
     $txt = strip_tags($txt);
	 //if (strlen($txt)< 2) $txt .=""; 
  }
  
  if ($type == "url") {      	   
     $type_arr = explode('://', $txt);
     if  ($type_arr[0]) {
	     $protocol = strtolower($type_arr[0]);
		 if (($protocol != 'http') AND ($protocol != 'https') AND
			 ($protocol != 'ftp')  AND ($protocol != 'telnet') AND
			 ($protocol != 'news'))
		 {
			 echo $lang['error']." ".$txt." ".$lang['e_valid'];
			 generateBottom();
			 exit;
		 }
	} else {
	    echo $lang['error']." ".$txt." ".$lang['e_valid'];
		generateBottom();
		exit;
	}
		
    if (strlen($txt)<12) {	 
       echo $lang['error']." ".$txt." ".$lang['e_valid'];
	   generateBottom();
       exit;    
     }	 	 
     $txt= ereg_replace(" ", "", $txt);
     $txt= ereg_replace("<", "", $txt);
     $txt= ereg_replace(">", "", $txt);  
	   
  }

  return $txt;  
}
?>
